<?php require_once( 'couch/cms.php' ); ?>
    <cms:template title='Cloner' ></cms:template>

    <cms:if k_user_access_level ge '7' ><!-- admin only -->
    
        <cms:set mystart="<cms:gpc 'import' method='get' />" />
       
        <cms:if mystart >
            <cms:pages masterpage='tmp.php' limit='10' paginate='1'>
                <cms:if k_paginated_top >
               
                    <cms:if k_paginate_link_next >
                        <script language="JavaScript" type="text/javascript">
                            var myVar;
                            myVar = window.setTimeout( 'location.href="<cms:show k_paginate_link_next />";', 1000 );
                        </script>
                        <button onclick="clearTimeout(myVar);">Stop</button>
                    <cms:else />
                        <h1>Done!</h1>
                    </cms:if>
                   
                    <h3><cms:show k_current_page /> / <cms:show k_total_pages /> pages (Total <cms:show k_total_records /> records. Showing <cms:show k_paginate_limit /> records per page)</hr>
                </cms:if>
               
                <h4>Processing: <cms:show k_current_record /></h4>
                  
                <!-- database operation here -->
                <cms:clone_page />
                <!-- end database operation -->
                   
                <cms:if k_paginated_bottom >   
                    <div><cms:paginator simple='1' /></div>
                </cms:if>
               
            </cms:pages>   
        <cms:else/>
            <button onclick='location.href="<cms:add_querystring k_page_link 'import=1' />"'>Start cloning!</button>
        </cms:if>
    <cms:else />
        <h2>Only admins can access this script</h2>
    </cms:if>


<?php COUCH::invoke(); ?>